program new
  implicit none
  integer a, b

  a = 17
  b = 111

  write(6,*) 'main.'

  call this(a)

  contains


    subroutine this(c)
  implicit none
  integer c

  write (6,*) 'passed ', c
  write (6,*) 'implicit ', b

end subroutine this
